Bug 861485 - Add documentation to MCIG for kerberos authentication in cumin
Add documentation to MCIG for kerberos authentication in cumin
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Management_Console_Installation_Guide (Show other bugs)
2.2
Unspecified Unspecified
medium Severity unspecified
: 2.3
: ---
Assigned To: David Ryan
Stanislav Graf
:
Depends On: 799129
Blocks: 916732
  Show dependency treegraph
 
Reported: 2012-09-28 15:31 EDT by Chad Roberts
Modified: 2015-02-01 18:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 916732 (view as bug list)
Environment:
Last Closed: 2013-03-19 12:39:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chad Roberts 2012-09-28 15:31:31 EDT
Description of problem:  The MCIG needs to mention kerberos authentication in cumin.

See BZ 799129 for the functionality that needs to be documented.
Comment 2 Cheryn Tan 2012-11-15 20:56:34 EST
Hi Chad, can you please provide some source content on how to configure Kerberos authentication? 

IIUC the affected section is:
* 4.7. Managing Users

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/2/html-single/Management_Console_Installation_Guide/index.html

Thank you!
Comment 3 Chad Roberts 2012-11-16 14:42:47 EST
To enable Kerberos authentication in cumin, you will need to make the following changes in /etc/cumin/cumin.conf.

[web]
auth: kerb #multiple values separated by semicolons if you also need ldap authentication
kerberos_server: <your kerberos server address>
kerberos_realm: <your kerberos realm>
Comment 4 Chad Roberts 2012-11-20 10:30:42 EST
Additional information:

In order to be able to use kerberos authentication, the python-kerberos package is required (currently unavailable in el5).
Comment 5 Chad Roberts 2012-12-03 13:09:34 EST
Update:  kerberos_server is no longer required (it is looked-up against values in krb5.conf at runtime using the kerberos_realm as the key)

[web]
auth: kerb #multiple values separated by semicolons if you also need ldap authentication
kerberos_realm: <your kerberos realm>
Comment 14 Stanislav Graf 2013-02-28 14:44:18 EST
Revision 3.1-1	Thu Feb 28 2013

--> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.